/* howto用のカスタムcss */

/* cssカスタムプロパティ */
:root {
  --primary-color: #267109;
  --secondary-color: #9BD996;
  --background-color: #F1F9F4;
  --accent-color: #F2E0C3;
}

* {
  box-sizing: border-box;
}
@media screen and (min-width: 768px) {
    body, html {
        min-width: 100%; /* info/assets/css/style2.cssの上書き用 リキッドレイアウトを可能にする */
    }
}
@media(max-width: 1023px) {
  .search-box {
    display: block !important;
    padding: 1em;
  }
}

body.home.archives {
  font-size: 16px;
  background-color: white;
  padding-top: 2.75em;
  @media(min-width: 1024px) {
    padding-top: 5.75em;
  }
}
main {
  min-height: 80vh;
}
.common-container {
  width: 1200px;
  margin: 0 auto;
  padding: 0 1em;
  @media(max-width:1200px) {
    width: 100%;
    padding: 0 2em;
  }
}
.common-link {
  color: var(--primary-color);
}
.aside {
  padding: 4em 1em;
  .aside__link {
    display: block;
    width: fit-content;
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 0.25em;
    padding: 1em;
    margin: 0 auto;
  }
}
.errors {
  margin: 5em;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  min-height: 60vh;
  gap: 1em;
  .errors__link {
    color: crimson;
  }
}
.supplement-box {
  display: block;
  width: fit-content;
  font-size: 0.6em;
  background-color: var(--primary-color);
  color: white;
  padding: 0 0.5em;
  border-radius: 0.25em;
  font-weight: normal;
  white-space: nowrap;
  text-align: center;
  flex-shrink: 0;
}

.breadcrumbs {
  font-size: 0.75em;
  background-color: #F6F6F6;
  padding: 0 1em;
}
.breadcrumbs > .common-container {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-wrap: wrap;
  list-style: none;
}
.breadcrumb {
  display: inline-flex;
  align-items: center;
  color: #C2C2C2;
}
.breadcrumb--active {
  color: var(--secondary-color);
  padding: 0.5em 0;
}
.breadcrumb:not(:last-child)::after {
  content: ">";
  padding: 0 1em;
}
.breadcrumb__link {
  color: inherit;
  display: block;
  padding: 0.5em 0;
  flex-shrink: 0;
}

.titles {
  padding: 3em 1em;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: 2em;
  .titles__title {
    font-size: clamp(1.5em, 2em, 2em);    
  }
  .titles__description {
    width: 75%;
    @media(max-width:768px) {
      width: 100%;
    }
  }
}

.contents {
  display: flex;
  flex-direction: column;
  gap: 2em;
  padding-bottom: 3em;
  .contents__titles {
    position: relative;
  }
  .contents__titles::after {
    content: "";
    width: 100%;
    border-bottom: 1px solid var(--primary-color);
    height: 1px;
    z-index: -1;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
  }
  .contents__title {
    color: var(--primary-color);
    border: 1px solid var(--primary-color);
    border-radius: 0.5em;
    padding: 0 0.75em;
    width: fit-content;
    background-color: white;
  }
}

.list {
  display: flex;
  flex-wrap: wrap;
  gap: 1em;
  list-style: none;
  .list__item {
    width: calc(50% - 0.5em);
    @media(max-width:520px) {
      width: 100%;
    }
  }
  .list__link {
    display: flex;
    width: 100%;
    height: auto;
    align-items: center;
    border-radius: 0.25em;
    border: 1px solid #EBEBEB;
    box-shadow: 0 2px 4px rgb(0 0 0 / 25%);
    overflow: hidden;
    @media(max-width:768px) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
    }
  }
  .list__image {
    width: 40%;
    max-width: 100%;
    height: auto;
    object-fit: contain;
    @media(max-width:768px) {
      width: 100%;
      object-fit: cover;
    }
  }
  .list__title {
    display: block;
    width: 60%;
    padding: 1em;
    @media(max-width:768px) {
      width: 100%;
    }
  }
}

.seminar-titles {
  padding: 3em 1em;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 0.5em;
  @media(max-width: 1024px) {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }
  @media(max-width: 1200px) {
    padding: 2em;
  }
  .seminar-titles__img {
    width: 100%;
    max-width: 30%;
    height: auto;
    object-fit: contain;
    flex-shrink: 0;
    @media(max-width: 1024px) {
      max-width: 75%;
      padding: 1em;
    }
  }
  .seminar-titles__container {
    display: flex;
    flex-direction: column;
    gap: 1em;
    padding: 2em;
    @media(max-width: 768px) {
      padding: 1em;
      align-items: center;
    }
  }
  .seminar-titles__title {
    font-size: 2em;
    @media(max-width: 520px) {
      font-size: 1.5em;
    }
  }
}

.seminar-contents {
  background-color: var(--background-color);
  padding: 3em 0;
  .seminar-contents__list {
    list-style: none;
    display: flex;
    flex-direction: column;
    gap: 3em;
  }
}
.seminar-content {
  background-color: white;
  padding: 1em;
  display: flex;
  flex-direction: column;
  gap: 1.5em;
  .seminar-content__title {
    padding: 0 0.75em;
    border-left: 2px solid var(--secondary-color);
    font-size: 1.5em;
    display: inline-flex;
    align-items: center;
    display: inline-flex;
    gap: 0.75em;
    align-items: center;
    @media(max-width: 768px) {
      flex-direction: column;
      align-items: flex-start;
      justify-content: center;
      gap: 0.25em;
      font-size: 1.25em;
    }
  }
  .seminar-content__menu {
    display: flex;
    gap: 2em;
    overflow: hidden;
  }
}
.seminar-link-card {
  display: flex;
  flex-direction: column;
  justify-content: stretch;
  align-items: stretch;
  flex-shrink: 0;
  .seminar-link-card__title {
    background-color: var(--accent-color);
    text-align: center;
    white-space: nowrap;
  }
}
.separated-list {
  display: flex;
  gap: 1em;
  width: fit-content;
  overflow-x: auto;
  padding-bottom: 0.25em;
  list-style: none;
  .seminar-content__item {
    max-width: calc((100% - 4em) / 4);
    flex-shrink: 0;
    @media(max-width: 768px) {
      max-width: 40%;
      font-size: 0.75em;
    }
    @media(max-width: 420px) {
      font-size: 0.625em;
    }
  }
  .seminar-link-card {
    width: 100%;
    height: auto;
  }
  .seminar-link-card__title {
    background-color: #DAF5D8;
    text-align: center;
  }
  .seminar-link-card__title--full {
    background-color: #F2E0C3;
  }
}
@media(max-width: 1200px) {
  .player__main {
    padding: 0 2em;
  }
}
.player__titles {
  border-left: 2px solid var(--secondary-color);
  padding: 0 1em;
  margin: 1.25em auto;
  small {
    color: #595959;
    font-size: 1.125em;
    line-height: 2.5;
    @media(max-width: 520px) {
      font-size: 1em;
    }
  }
}
.player__title {
  color: var(--primary-color);
  font-size: 1.5em;
  display: flex;
  align-items: center;
  gap: 1em;
  @media(max-width: 520px) {
    padding-top: 0.5em;
    flex-direction: column;
    align-items: flex-start;
    gap: 0.25em;
    font-size: 1.25em;
  }
}
.player__video-wrapper {
  background-color: #4F4F4F;
  width: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.player__video {
  width: 100%;
  max-width: 1200px;
  height: auto;
  background: none;
  aspect-ratio: 16/9;
}
.player__descriptions {
  padding: 1.25em 0;
  display: flex;
  flex-direction: column;
  gap: 1.5em;
}
.player__playtime {
  padding: 0.5em 0;
  border-bottom: 1px solid #E3EDE7;
  span {
    color: #AFAFAF;
  }
}
.player__others {
  padding: 2em 0;
 .seminar-content__item {
  max-width: 220px;
  @media(max-width: 520px) {
    width: calc((100% - 1em) / 2);
  }
 }
}
.player__h3 {
  padding: 1em 0;
  color: var(--primary-color);
}
.relations {
  padding: 2em 0;
  background-color:#F3F5F3;
  display: flex;
  flex-direction: column;
  .relations__title {
    color: #318139;
  }
  .relation__search {
    margin: 1em 0 2em 0;
    display: flex;
    gap: 0.5em;
    .search-box {
      font-size: 1em;
      padding: 0.25em;
      min-width: 240px;
      width: fit-content;
      color: #959595;
      border: 1px solid #cee1c9;
      margin: 0;
    }
    .search-btn {
      color: white;
      border: none;
      position: relative;
      padding-right: 2.25em; /* アイコン分余白 */
      background-color: #88bb02;
      background-image: url("../images/icon-search.png");
      background-repeat: no-repeat;
      background-size: 1em 1em;
      background-position: 3em center;
    }
  }
  .relations__nav {
    padding: 1em 0;
  }
  .relations__list {
    display: flex;
    flex-wrap: wrap;
    gap: 2em;
    padding: 1em 0;
    @media(max-width: 768px) {
      flex-direction: column;
      gap: 1em;
    }
  }
  .relation {
    width: calc((100% - 2em) / 2);
    @media(max-width: 768px) {
      width: 100%;
    }
  }
  .relation__link {
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    overflow: hidden;
    gap: 1em;
    color: var(--primary-color);
    margin-bottom: 1em;
    @media(max-width: 768px) {
      margin-bottom: 0;
    }
  }
  .relation__img {
    width: 30%;
    height: auto;
    object-fit: contain;
  }
  .relation__img--horizontal {
    width: 30%;
    height: aut;
    object-fit: contain;
    border: 1px solid #ccc;
    max-width: 160px;
  }
  .relation__title {
    align-self: center;
    flex: 1;
  }
}
